/* RUNTEST.H - generic test harness header file */

#ifndef TRUE
#define TRUE       1
#endif

#ifndef FALSE
#define FALSE      0
#endif

#define FLAGCNT    2

#define HELP       0      /* -? help */
#define DEBUG      1      /* -d debug mode */

#define FN         0       /* Scanning function name */
#define SEPSCAN    1       /* Scanning whitespace between parameters */ 
#define UNQUOTED   2       /* Scanning unquoted parameter */
#define QUOTED     3       /* Scanning quoted parameter */

#define MAXARGS    10      /* Limit on parameters per function being tested  */
#define MAXLINE    161     /* Size of buffers used to read and parse scripts */
#define MAXSCRIPTS 100     /* Maximum number of scriptfiles                  */

void error(char *dest, char *value);
void readargs(int argc, char *argv[], int flags[]);
void runtest(FILE* f, int debug);
void setboolreply(int n);
void setcharreply(char c);
void setdoublereply(double d);
void seterror(char *e);
void setfloatreply(float f);
void setintreply(int r);
void setstringreply(char *s);

